using GadgetCore.API;
using GadgetCore.Util;
using HarmonyLib;
using System;
using System.Collections;
using System.Threading;
using System.Windows.Threading;
using UnityEngine;

namespace WorldPlatforms
{
  public class CoroutineManager : MonoBehaviour
  {
    Action action;

    public void SetAction(Action action)
    {
      this.action = action;
    }

    void OnEnable()
    {
      if (action != null)
        action.Invoke();
    }
  }
}
